package hu.uniobuda.nik.smsfogadas;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.telephony.SmsMessage;
import android.widget.Toast;

public class SMSFogadas extends BroadcastReceiver {
	@Override
	public void onReceive(Context context, Intent intent) {
		Bundle bundle = intent.getExtras();		
		Object[] messages = (Object[]) bundle.get("pdus");
		SmsMessage smsMessage[] = new SmsMessage[messages.length];
		for (int i=0; i<messages.length; i++)
			smsMessage[i] = SmsMessage.createFromPdu((byte[]) messages[i]);
		// show first message
		Toast.makeText(context, "Beérkező SMS: " + smsMessage[0].getMessageBody(), Toast.LENGTH_LONG).show();
	}

}
